ARES_SET_SOCKET_CALLBACK(3)

NAME
ares_set_socket_callback - Set a socket creation callback

SYNOPSIS
#include <ares.h>
typedef int (*ares_sock_create_callback)(ares_socket_t socket_fd,
                                         int type,
                                         void *userdata)
void ares_set_socket_callback(ares_channel_t *channel,
                              ares_sock_create_callback callback,
                              void *userdata)

cc file.c -lcares

DESCRIPTION

This function sets a callback in the given ares channel handle. This callback function will be invoked after the socket has been created, and connected to the remote server. The callback must return ARES_SUCCESS if things are fine, or return -1 to signal an error. A returned error will abort the ares operation.

SEE ALSO
ares_init_options(3), ares_set_socket_configure_callback(3)

AVAILABILITY
ares_set_socket_callback(3) was added in c-ares 1.6.0